//---------------------------------------------------------------------------
#ifndef MiscellaneousFunctionsH
#define MiscellaneousFunctionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <FileCtrl.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
TStrings* ElementStrings( AnsiString SourceText, AnsiString Delimeter );
AnsiString  ElementString( AnsiString SourceText, AnsiString Delimeter, int ElementNumber );
int ElementCount( AnsiString SourceText, AnsiString Delimeter );
AnsiString  ReplaceText( AnsiString SourceText, AnsiString ReplaceWhat, AnsiString WithWhat );
bool FileReplaceText( AnsiString FileName, AnsiString ReplaceWhat, AnsiString WithWhat );
bool FileCopy( AnsiString SourcePath, AnsiString DestPath, bool ReplaceExistingFile);
AnsiString GetRootPath( AnsiString pDirectory );
AnsiString GetFolderRelativePath( AnsiString pDirectory );
AnsiString SystemRootDirectory();
bool CreateBigDir( AnsiString pDirectory );
bool CreateStartMenuFolder( AnsiString pStartMenuLocation );
bool CreateStartMenuLink(AnsiString pStartMenuLocation, AnsiString pLinkName, AnsiString pFileName );
void __fastcall Double_Buffer( TWinControl* control );
//---------------------------------------------------------------------------
#endif
//---------------------------------------------------------------------------

