//---------------------------------------------------------------------------
#ifndef TInstallFormH
#define TInstallFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
#include <Graphics.hpp>
#include "PERFGRAP.h"
#include <ComCtrls.hpp>
#include <FileCtrl.hpp>
//---------------------------------------------------------------------------
class TInstallForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label6;
    TProgressBar *LibProgress;
        TLabel *Label1;
    TLabel *Installing;
    TLabel *Action;
        TLabel *Label4;
        TLabel *Label7;
        TBevel *Bevel3;
        TBevel *Bevel4;
    TLabel *FilePath;
        TLabel *Label18;
    TLabel *LibCount;
        TLabel *Label19;
    TProgressBar *BCBProgress;
    TLabel *BCBCount;
        TLabel *Label17;
    TLabel *FileCount;
    TProgressBar *FileProgress;
        TLabel *Label22;
    TLabel *Actions;
    TImage *ExitImage;
    TLabel *Exit;
    TLabel *ExitHere;
    TLabel *Label8;
    TImage *InstallImage;
    TLabel *Install;
    TImage *PrevImage;
    TLabel *Prev;
    TLabel *SubTitle;
    TImage *BCBTools;
    TBevel *Bevel5;
    TBevel *Bevel2;
    TLabel *Lib;
    TLabel *BCB;
    TLabel *File;
    TLabel *CloseBCB;
    TListBox *Results;
    TSpeedButton *SpeedButton1;
    TLabel *CopiedLabel;
    TLabel *Title;
        TFileListBox *FileListBox1;
        TLabel *Label13;
        void __fastcall ExitClick(TObject *Sender);
        void __fastcall InstallClick(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
    void __fastcall UninstallClick(TObject *Sender);
    void __fastcall CancelClick(TObject *Sender);
    void __fastcall InstallMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall PrevClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall SpeedButton1Click(TObject *Sender);
    void __fastcall BCBTools_AnimMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
    void __fastcall BCBToolsClick(TObject *Sender);
    void __fastcall TitleClick(TObject *Sender);
private:	// User declarations

    AnsiString Highlighted;

    void __fastcall CopyDirectXIncludeFiles( int lib, int bcb );
    void __fastcall CopyDirectXLibFiles( int lib, int bcb );

    void __fastcall CopyIncludeFiles( int lib, int bcb );
    void __fastcall CopySourceCodeFiles( int lib, int bcb );
    void __fastcall CopyLibFiles( int lib, int bcb );
    void __fastcall CopyProjectFiles( int lib, int bcb );
    void __fastcall CopySourceFiles( int lib, int bcb );

    void __fastcall RegisterComponents( int lib, int bcb );
    void __fastcall RegisterComponentHelp( int lib, int bcb );
    void __fastcall RegisterStartMenu( int lib, int bcb );

    void __fastcall InstallBCB1( int lib );
    void __fastcall InstallBCB3( int lib );
    void __fastcall InstallBCB4( int lib );
    void __fastcall InstallBCB5( int lib );
    void __fastcall InstallBCB6( int lib );
    void __fastcall InstallBCB1Help( int lib );
    void __fastcall InstallBCB3Help( int lib );
    void __fastcall InstallBCB4Help( int lib );
    void __fastcall InstallBCB5Help( int lib );
    void __fastcall InstallBCB6Help( int lib );

public:		// User declarations

    bool    installing;
    int     Tick;
    bool    InstallComplete;

    __fastcall TInstallForm(TComponent* Owner);

    void __fastcall ExtractFromPackIt( int lib );
    void __fastcall Abort() { InstallClick(this); }

};
//---------------------------------------------------------------------------
extern PACKAGE TInstallForm *InstallForm;
//---------------------------------------------------------------------------
#endif

