//---------------------------------------------------------------------------
#ifndef TUpgradeFormH
#define TUpgradeFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <FileCtrl.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include "TDSBufferDesc.h"
#include "TDx_SoundBuffer.h"
#include <Buttons.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TUpgradeForm : public TForm
{
__published:	// IDE-managed Components
    TMemo *Results;
    TSpeedButton *SpeedButton1;
    TLabel *CopiedLabel;
    TImage *BCBTools_Anim;
    TLabel *SubTitle;
    TImage *BCBTools;
    TLabel *Title;
    TBevel *Bevel3;
    TLabel *Label14;
    TBevel *Bevel2;
    TLabel *Actions;
    TImage *UpgradeImage;
    TLabel *Upgrade;
    TDirectoryListBox *DirectoryListBox1;
    TDriveComboBox *DriveComboBox1;
    TLabel *Directory;
    TBevel *Bevel1;
    TLabel *Label1;
    TImage *PrevImage;
    TLabel *Prev;
    TImage *DowngradeImage;
    TLabel *Downgrade;
    TImage *CrossgradeImage;
    TLabel *Crossgrade;
    TImage *ExitImage;
    TLabel *Exit;
    TLabel *ExitHere;
    TLabel *DirectoryLabel;
    TLabel *Label3;
    TLabel *Label2;
    TLabel *Label5;
    TBevel *Bevel4;
    TImage *HelpImage;
    TLabel *Help;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall UpgradeClick(TObject *Sender);
        void __fastcall UpgradeMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall FormPaint(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormHide(TObject *Sender);
    void __fastcall SpeedButton1Click(TObject *Sender);
    void __fastcall BCBTools_AnimMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
    void __fastcall BCBToolsClick(TObject *Sender);
    void __fastcall TitleClick(TObject *Sender);
    void __fastcall PrevClick(TObject *Sender);
    void __fastcall ExitClick(TObject *Sender);
    void __fastcall CrossgradeClick(TObject *Sender);
    void __fastcall DowngradeClick(TObject *Sender);
    void __fastcall HelpClick(TObject *Sender);
private:	// User declarations
    AnsiString  Highlighted;
    void __fastcall UpdateDirectoryTree( AnsiString root );
public:		// User declarations
    AnsiString  Mode;
    bool        upgrading;
        __fastcall TUpgradeForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TUpgradeForm *UpgradeForm;
//---------------------------------------------------------------------------
#endif
 