//---------------------------------------------------------------------------
#ifndef TInstallSetupFormH
#define TInstallSetupFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
#include <Graphics.hpp>
#include "PERFGRAP.h"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TInstallSetupForm : public TForm
{
__published:	// IDE-managed Components
        TImage *BCBTools;
    TLabel *Actions;
        TBevel *Bevel1;
    TCheckBox *Draw;
    TCheckBox *Sound;
    TCheckBox *Input;
    TCheckBox *Play;
    TCheckBox *d3I;
    TCheckBox *Draw_1;
    TCheckBox *Draw_3;
    TCheckBox *Draw_4;
    TCheckBox *Draw_5;
        TLabel *Label6;
        TLabel *Label1;
        TLabel *Label2;
    TImage *NextImage;
    TLabel *Next;
    TImage *PrevImage;
    TLabel *Prev;
    TImage *ExitImage;
    TLabel *Exit;
    TBevel *Bevel5;
    TLabel *SubTitle;
    TLabel *Title;
    TLabel *ExitHere;
    TImage *BCBTools_Anim;
    TLabel *Label41;
    TBevel *Bevel2;
    TCheckBox *Sound_1;
    TCheckBox *Sound_3;
    TCheckBox *Sound_4;
    TCheckBox *Sound_5;
    TCheckBox *Input_1;
    TCheckBox *Input_3;
    TCheckBox *Input_4;
    TCheckBox *Input_5;
    TCheckBox *Play_1;
    TCheckBox *Play_3;
    TCheckBox *Play_4;
    TCheckBox *Play_5;
    TCheckBox *d3I_1;
    TCheckBox *d3I_3;
    TCheckBox *d3I_4;
    TCheckBox *d3I_5;
    TCheckBox *InstallComponents;
    TCheckBox *ExtractFiles;
    TCheckBox *RegisterHelp;
    TLabel *Label3;
    TLabel *Label5;
    TLabel *Label7;
    TCheckBox *CheckBox8;
    TLabel *CloseBCB;
    TCheckBox *CopyDirectX;
    TLabel *Label4;
    TCheckBox *InstallSource;
    TCheckBox *RebuildSource;
    TCheckBox *RegisterComponents;
    TImage *FullInstallImage;
    TLabel *FullInstall;
    TImage *RebuildImage;
    TLabel *Rebuild;
    TImage *ReInstallImage;
    TLabel *ReInstall;
    TLabel *Label8;
    TCheckBox *Draw_6;
    TCheckBox *Sound_6;
    TCheckBox *Input_6;
    TCheckBox *Play_6;
    TCheckBox *d3I_6;
    void __fastcall FormPaint(TObject *Sender);
    void __fastcall NextClick(TObject *Sender);
    void __fastcall PrevClick(TObject *Sender);
    void __fastcall ExitClick(TObject *Sender);
    void __fastcall NextMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall DrawClick(TObject *Sender);
    void __fastcall SoundClick(TObject *Sender);
    void __fastcall InputClick(TObject *Sender);
    void __fastcall PlayClick(TObject *Sender);
    void __fastcall d3IClick(TObject *Sender);
    void __fastcall BCBTools_AnimMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
    void __fastcall BCBToolsClick(TObject *Sender);
    void __fastcall ExtractFilesClick(TObject *Sender);
    void __fastcall InstallComponentsClick(TObject *Sender);
    void __fastcall RegisterHelpClick(TObject *Sender);
    void __fastcall CopyDirectXClick(TObject *Sender);
    void __fastcall TitleClick(TObject *Sender);
    void __fastcall RebuildSourceClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall RegisterComponentsClick(TObject *Sender);
    void __fastcall Draw_1Click(TObject *Sender);
    void __fastcall FullInstallClick(TObject *Sender);
    void __fastcall RebuildClick(TObject *Sender);
    void __fastcall ReInstallClick(TObject *Sender);
private:	// User declarations

    AnsiString Highlighted;
    bool Setting_Up_Links;

public:		// User declarations
    void __fastcall UpdateCheckBoxes();
    bool Setup_Defaults;

        __fastcall TInstallSetupForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TInstallSetupForm *InstallSetupForm;
//---------------------------------------------------------------------------
#endif
