//---------------------------------------------------------------------------
#ifndef TMainFormH
#define TMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
#include <Graphics.hpp>
#include "PERFGRAP.h"
#include "tdsbufferdesc.h"
#include "tdx_sound.h"
#include "tdx_soundbuffer.h"
#include <FileCtrl.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TDx_Sound *Dx_Sound1;
    TDx_SoundBuffer *TDx_Library;
    TDx_SoundBuffer *Next;
    TDx_SoundBuffer *Prev;
    TDx_SoundBuffer *Goodbye;
    TTimer *Timer1;
        TLabel *Label6;
    TLabel *DirectX_Installed_Version;
        TLabel *Label3;
    TLabel *BCB1_RootDir;
        TLabel *Label5;
        TLabel *Label7;
        TLabel *Label1;
        TLabel *Label11;
        TLabel *Label15;
    TLabel *BCB3_RootDir;
    TLabel *BCB4_RootDir;
        TLabel *Label19;
    TLabel *DirectX_RootDir;
        TLabel *Label22;
    TLabel *BCB1_YesNo;
    TLabel *BCB3_YesNo;
    TLabel *BCB4_YesNo;
    TLabel *BCB5_YesNo;
        TLabel *Label30;
        TLabel *Label31;
        TLabel *Label32;
        TLabel *Label33;
        TLabel *Label24;
    TLabel *TDx_Library_RootDir;
    TLabel *Label4;
    TLabel *DirectX_YesNo;
    TLabel *BCB5_RootDir;
    TLabel *Label2;
    TLabel *TDx_Library_YesNo;
    TLabel *Label9;
    TLabel *DirectX_70a_YesNo;
    TDx_SoundBuffer *Creak;
    TLabel *Label8;
    TLabel *Libs;
    TDx_SoundBuffer *Anim;
    TDSBufferDesc *DSBufferDesc1;
    TDx_SoundBuffer *Pop;
    TLabel *Label12;
    TLabel *PITS;
    TLabel *Actions;
    TImage *ExitImage;
    TLabel *Exit;
    TLabel *ExitHere;
    TImage *InstallImage;
    TLabel *Install;
    TImage *RemoveImage;
    TLabel *Remove;
    TLabel *SubTitle;
    TImage *Lo;
    TImage *Hi;
    TImage *HiSmall;
    TImage *LoSmall;
    TImage *BCBTools;
    TBevel *Bevel3;
    TLabel *Label14;
    TBevel *Bevel2;
    TBevel *Bevel4;
    TBevel *Bevel1;
    TLabel *CloseBCB;
    TLabel *Title;
    TDx_SoundBuffer *ErrorWav;
    TDx_SoundBuffer *InstallWav;
    TDx_SoundBuffer *Completed;
    TDx_SoundBuffer *AbortWav;
    TLabel *Label10;
    TLabel *BCB6_YesNo;
    TLabel *Label16;
    TLabel *BCB6_RootDir;
        TLabel *Label13;
        void __fastcall ExitClick(TObject *Sender);
        void __fastcall InstallClick(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
    void __fastcall UninstallClick(TObject *Sender);
    void __fastcall Timer1Timer(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall Dx_Sound1Create(TObject *Sender);
    void __fastcall RemoveClick(TObject *Sender);
    void __fastcall BCBTools_AnimMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
    void __fastcall BCBToolsClick(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
    void __fastcall InstallMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall TitleClick(TObject *Sender);
//---------------------------------------------------------------------------
private:	// User declarations
//---------------------------------------------------------------------------
public:		// User declarations
//---------------------------------------------------------------------------
    __fastcall TMainForm(TComponent* Owner);

    //-----------------------------------------------------------------------

    void __fastcall GetCurrentInstallStatus();
    void __fastcall HideShow();

    //-----------------------------------------------------------------------

    int Tick;
    bool BCBCheck;
    AnsiString Highlighted;
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
extern AnsiString  Install_Directory;

extern bool        DirectX_Installed;
extern AnsiString  DirectX_Version;
extern AnsiString  DirectX_Root_Dir;
extern AnsiString  DirectX_Key;
extern AnsiString  DirectX_Uninstall_Key;

extern bool        TDx_Installed;
extern TDateTime   TDx_First_Installed;
extern AnsiString  TDx_Root_Dir;
extern AnsiString  TDx_Root_Key;
extern AnsiString  BCB_Root_Key;
extern AnsiString  ASC_Root_Key;

//---------------------------------------------------------------------------
extern bool ErrorOccurred;
extern void __fastcall Error( AnsiString ErrorMessage );
//---------------------------------------------------------------------------
#define NUM_BCB                 5
#define NUM_LIBS                5
//---------------------------------------------------------------------------
#define NUM_DX7_LIB_FILES       9
#define NUM_DX7_H_FILES         38
//---------------------------------------------------------------------------
#define BCB1    0
#define BCB3    1
#define BCB4    2
#define BCB5    3
#define BCB6    4
//---------------------------------------------------------------------------
#define DRAW    0
#define SOUND   1
#define INPUT   2
#define PLAY    3
#define D3I     4
//---------------------------------------------------------------------------
extern AnsiString   BCB_Names[NUM_BCB];
extern bool         BCB_Exists[NUM_BCB];
extern AnsiString   BCB_Keys[NUM_BCB];
extern AnsiString   BCB_Root_Dirs[NUM_BCB];
//---------------------------------------------------------------------------
extern AnsiString   TDx_Library_Version;
extern AnsiString   Library_Names[NUM_LIBS];
extern AnsiString   Library_Abbrevs[NUM_LIBS];
extern AnsiString   Library_Versions[NUM_LIBS];
extern int          Library_Num_Components[NUM_LIBS];
extern bool         Library_Installed[NUM_LIBS][NUM_BCB];
extern bool         Library_Installed_Help[NUM_LIBS][NUM_BCB];
extern AnsiString   Library_Installed_Version[NUM_LIBS][NUM_BCB];
extern AnsiString   Library_Component_Names[];
extern bool         Library_Package_Exists[NUM_LIBS];
extern TDateTime    Library_First_Installed[NUM_LIBS][NUM_BCB];
//---------------------------------------------------------------------------
extern AnsiString   DirectX_7_H_Files[NUM_DX7_H_FILES];
extern AnsiString   DirectX_7_Lib_Files[NUM_DX7_LIB_FILES];
//---------------------------------------------------------------------------
#endif
