//---------------------------------------------------------------------------
#ifndef TUnInstallFormH
#define TUnInstallFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include "TDx_Sound.h"
#include "TDx_SoundBuffer.h"
#include "TDSBufferDesc.h"
#include <Graphics.hpp>
#include "PERFGRAP.h"
#include <ComCtrls.hpp>
#include <FileCtrl.hpp>
//---------------------------------------------------------------------------
class TUnInstallForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label6;
    TProgressBar *LibProgress;
        TLabel *Label1;
    TLabel *Installing;
    TLabel *Action;
        TLabel *Label4;
        TLabel *Label7;
        TBevel *Bevel3;
        TBevel *Bevel4;
    TLabel *FilePath;
        TLabel *Label18;
    TLabel *LibCount;
        TLabel *Label19;
    TProgressBar *BCBProgress;
    TLabel *BCBCount;
        TLabel *Label17;
    TLabel *FileCount;
    TProgressBar *FileProgress;
        TLabel *Label22;
    TLabel *Actions;
    TImage *ExitImage;
    TLabel *Exit;
    TLabel *ExitHere;
    TLabel *Label8;
    TImage *InstallImage;
    TLabel *Install;
    TImage *PrevImage;
    TLabel *Prev;
    TLabel *Title;
    TLabel *SubTitle;
    TImage *BCBTools;
    TBevel *Bevel5;
    TBevel *Bevel2;
    TLabel *Lib;
    TLabel *BCB;
    TLabel *File;
    TLabel *CloseBCB;
    TListBox *Results;
    TSpeedButton *SpeedButton1;
    TLabel *CopiedLabel;
    TFileListBox *FileListBox1;
        TLabel *Label13;
        void __fastcall ExitClick(TObject *Sender);
        void __fastcall InstallClick(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
    void __fastcall UninstallClick(TObject *Sender);
    void __fastcall CancelClick(TObject *Sender);
    void __fastcall InstallMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall PrevClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall SpeedButton1Click(TObject *Sender);
    void __fastcall BCBToolsClick(TObject *Sender);
    void __fastcall TitleClick(TObject *Sender);
private:	// User declarations

    AnsiString Highlighted;

    void __fastcall RestoreDirectXIncludeFiles( int lib, int bcb );
    void __fastcall RestoreDirectXLibFiles( int lib, int bcb );

    void __fastcall DeleteIncludeFiles( int lib, int bcb );
    void __fastcall DeleteSourceCodeFiles( int lib, int bcb );
    void __fastcall DeleteLibFiles( int lib, int bcb );
    void __fastcall DeleteProjectFiles( int lib, int bcb );

    void __fastcall UnInstallBCB1( int lib );
    void __fastcall UnInstallBCB3( int lib );
    void __fastcall UnInstallBCB4( int lib );
    void __fastcall UnInstallBCB5( int lib );
    void __fastcall UnInstallBCB6( int lib );
    void __fastcall UnInstallBCB1Help( int lib );
    void __fastcall UnInstallBCB3Help( int lib );
    void __fastcall UnInstallBCB4Help( int lib );
    void __fastcall UnInstallBCB5Help( int lib );
    void __fastcall UnInstallBCB6Help( int lib );

public:		// User declarations

    void __fastcall DeleteBasedOnPackIt( int lib );
    void __fastcall UnRegisterComponents( int lib, int bcb );
    void __fastcall UnRegisterComponentHelp( int lib, int bcb );

    bool    deleting;
    int     Tick;
    bool    RemoveComplete;

    __fastcall TUnInstallForm(TComponent* Owner);
    void __fastcall Abort() { InstallClick(this); }

};
//---------------------------------------------------------------------------
extern PACKAGE TUnInstallForm *UnInstallForm;
//---------------------------------------------------------------------------
#endif

